.\"     $NetBSD: an.4,v 1.10 2003/06/26 10:13:34 wiz Exp $
.\"
.\" Copyright (c) 1997, 1998, 1999
.\"	Bill Paul <wpaul@ee.columbia.edu>. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Bill Paul.
.\" 4. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"   without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY Bill Paul AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL Bill Paul OR THE VOICES IN HIS HEAD
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
.\" THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/an.4,v 1.6 2000/11/17 11:43:59 ru Exp $
.\"
.Dd December 13, 2000
.Dt AN 4
.Os
.Sh NAME
.Nm an
.Nd
Aironet 4500/4800 and Cisco 340/350 series wireless network driver
.Sh SYNOPSIS
.Cd "an* at pcmcia? function ?"
.Cd "an* at pci? dev ? function ?"
.Cd "an* at isapnp?"
.Sh DESCRIPTION
The
.Nm
driver provides support for Aironet Communications 4500/4800
and Cisco Aironet 340/350 series
wireless network adapters.
This includes the ISA, PCI and PCMCIA
varieties.
The 4500 series adapters operate at 1 and 2Mbps while
the 4800 series and 340/350 series can operate at 1, 2, 5.5 and 11Mbps.
The ISA, PCI
and PCMCIA devices are all based on the same core PCMCIA modules
and all have the same programming interface, however unlike the
Lucent WaveLAN/IEEE cards, the ISA and PCI cards appear to the
host as normal ISA and PCI devices and do not require any PCMCIA
support.
.Pp
The PCMCIA Aironet cards require PCMCIA support.
ISA cards can either be configured to use ISA Plug and Play
or to use a particular I/O address and IRQ
by properly setting the DIP switches on the board.
(The default switch setting is for plug and play.)
The
.Nm
driver has Plug and Play support and will work in either configuration,
however when using a hard-wired I/O address and IRQ, the driver
configuration and the NIC's switch settings must agree.
PCI cards
require no switch settings of any kind and will be automatically
probed and attached.
.Pp
All host/device interaction with the Aironet cards is via programmed I/O.
The Aironet devices support 802.11 and 802.3 frames, power management,
BSS (infrastructure) and IBSS (ad-hoc) operation modes.
The
.Nm
driver encapsulates all IP and ARP traffic as 802.11 frames, however
it can receive either 802.11 or 802.3 frames.
Transmit speed is selectable between 1Mbps, 2Mbps, 5.5Mbps, 11Mbps, or
.Dq auto
(the NIC automatically chooses the best speed).
.Pp
By default, the
.Nm
driver configures the Aironet card to join an access point with an SSID
of null string.
For ad-hoc mode, in which
stations can communicate among each other without the aid of an access
point, the driver must be set using
.Xr ifconfig 8 .
.Pp
For more information on configuring this device, see
.Xr ifconfig 8
and
.Xr ifmedia 4 .
.Sh HARDWARE
Cards supported by the
.Nm
driver include:
.Pp
.Bl -item -offset indent
.It
Aironet 4500 Series
.It
Aironet 4800 Series
.It
Cisco Aironet 340 Series
.It
Cisco Aironet 350 Series
.El
.Sh DIAGNOSTICS
.Bl -diag
.It "an%d: init failed"
The Aironet card failed to come ready after an initialization command was
issued.
.It "an%d: failed to allocate %d bytes on NIC"
The driver was unable to allocate memory for transmit frames in the
NIC's on-board RAM.
.It "an%d: device timeout"
The Aironet card failed to generate an interrupt to acknowledge a transmit
command.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr netintro 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
device driver first appeared in
.Fx 4.0 ,
and then in
.Nx 1.6 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Bill Paul Aq wpaul@ee.columbia.edu .
